Summary: emi.fts.delegation-api-c
Name: delegation-api-c
Version:
Release:
License: Apache Software License
Vendor: EMI
Group: System Environment/Libraries
BuildRequires: emi-delegation-interface
BuildRequires: CGSI_gSOAP_2.7
BuildRequires: lcgutil-build-common-cpp
BuildRequires: gsoap-devel
BuildRequires: libtool
BuildRequires: globus-common-progs
BuildRequires: globus-gssapi-gsi-devel
BuildRequires: globus-gss-assist-devel
BuildRequires: glite-build-common-cpp
Requires: CGSI_gSOAP_2.7
BuildRoot: %{_builddir}/%{name}-root
AutoReqProv: yes
Source: %{name}-%{version}.tar.gz

%description
emi.fts.delegation-api-c

%prep
 

%setup -c

%build
mkdir -p src/autogen; aclocal -I /usr/share/emi/build/m4 -I /share/build/m4;  libtoolize --force; autoheader; automake --foreign --add-missing --copy; autoconf
./configure --prefix=%{buildroot}/usr --with-version=%{version} --with-interface-version=2.0.0 --with-dist-location=%{buildroot}/usr --with-glite-location=/usr --with-cgsi-gsoap-location=/ --with-delegation-wsdl=/var/lib/delegation-interface/interface/www.gridsite.org-delegation-2.0.0.wsdl --with-emi
make all
  
  

%install
rm -rf %{buildroot}
 mkdir -p %{buildroot}
 mkdir -p %{buildroot}/usr; make install
 find %{buildroot} -name '*.la' -exec rm -rf {} \;
 find %{buildroot} -name '*.pc' -exec sed -i -e "s|%{buildroot}||g" {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/libglite_data_delegation_api_c.so
%{_libdir}/libglite_data_delegation_api_c.so.*
%{_libdir}/libglite_data_delegation_api_c.a
%dir %{_includedir}/glite/
%dir %{_includedir}/glite/data/
%dir %{_includedir}/glite/data/delegation/
%dir %{_includedir}/glite/data/delegation/c/
%{_includedir}/glite/data/delegation/c/delegationStub.h
%{_includedir}/glite/data/delegation/c/delegationH.h
%{_includedir}/glite/data/delegation/c/delegation.nsmap
%dir %{_defaultdocdir}/glite-data-delegation-api-c/
%{_defaultdocdir}/glite-data-delegation-api-c/RELEASE-NOTES
%{_defaultdocdir}/glite-data-delegation-api-c/README
%{_defaultdocdir}/glite-data-delegation-api-c/LICENSE

%changelog
 
